Not logged inRybka Chess Community Forum
Up Topic Rybka Support & Discussion / Rybka Support / 1-cpu version for IDeA?
- - By Gordon (**) [gb] Date 2010-05-26 15:25
Hi!
I have downloaded and installed Deep R4 without problems; however with R3 we also got a 1-cpu version for use with IDeA - that seems to be missing this time?
Parent - - By yanquis1972 (****) [us] Date 2010-05-26 15:31
just install rybka 4 into aquarium & set max CPUs to 1.
Parent - - By Gordon (**) [gb] Date 2010-05-26 15:38
Doen't  work - I had already tried that - it has to be a "real" 1-cpu version!
Parent - By Vempele (Silver) [fi] Date 2010-05-26 15:41
Works for me. Maybe it's an Aquarium 4.0.2 bug?
Parent - By Loboestepario (****) [us] Date 2010-05-26 15:43
Dhanish showed me a way to work this out (with a Deep-engine):

If you set option_filter=2 in RT Singleserver.ini, you can set the uci options from within Aquarium itself.

It works with Stockfish, hopefully with Rybka4 as well.
Parent - - By Tinefol (***) [ru] Date 2010-05-26 15:33
Sorry, we've forgot to include the files. I've repacked the archive, you may redownload using your serial.

Sorry again, we're under some pressure here :)
Parent - By Gordon (**) [gb] Date 2010-05-26 15:37
Thank you for the rapid response - excellent service!!
Parent - - By Gordon (**) [gb] Date 2010-05-26 15:47
Sorry, but I still can't get it to work - I have downloaded and installed Rybka 4 into Aquarium, but I cannot change the count to 4 in IDeA.
Apologies if I am doing something silly.
Parent - - By Vempele (Silver) [fi] Date 2010-05-26 15:49
You can only change the count of the first engine. I can't think of anything else.
Parent - By Gordon (**) [gb] Date 2010-05-26 16:02
Dear Vempele
Thank you and well done - you have cracked it - one can only change the first engine in the list!!
Presumably the earler suggestion of setting Deep Rybka to 1-cpu would have also worked if I had made it the first one in the list.
Best wishes
Gordon
Parent - By ppipper (*****) [es] Date 2010-05-26 22:16
you can always edit manually xml configuration file: AquariumData\idea\engines.xml
Parent - By Vempele (Silver) [fi] Date 2010-05-26 15:34
Note you'll want to use the SSE4.2 version (of which there is no non-deep edition) if your processor is Nehalem or Phenom.
Up Topic Rybka Support & Discussion / Rybka Support / 1-cpu version for IDeA?

Powered by mwForum 2.27.4 © 1999-2012 Markus Wichitill